summaryrefslogtreecommitdiffstats
path: root/office/calibre-bin/calibre-bin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/calibre-bin/calibre-bin.SlackBuild')
-rw-r--r--office/calibre-bin/calibre-bin.SlackBuild13
1 files changed, 10 insertions, 3 deletions
diff --git a/office/calibre-bin/calibre-bin.SlackBuild b/office/calibre-bin/calibre-bin.SlackBuild
index 28a36fdc4e..1a2062e0c3 100644
--- a/office/calibre-bin/calibre-bin.SlackBuild
+++ b/office/calibre-bin/calibre-bin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for calibre-bin
-# Copyright 2019-2022, Alexander Verbovetsky, Moscow, Russia
+# Copyright 2019-2024, Alexander Verbovetsky, Moscow, Russia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=calibre-bin
-VERSION=${VERSION:-5.44.0}
+VERSION=${VERSION:-7.7.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -35,7 +35,8 @@ if [ -z "$ARCH" ]; then
fi
case "$ARCH" in
- i?86) ARCH=i686 ;;
+ i?86) echo "Support for 32bit CPUs has been dropped because Qt 6 does not support them"
+ exit 1 ;;
arm*) ARCH=arm ;;
esac
@@ -63,6 +64,8 @@ rm -r usr/share/{desktop-directories,mime/!(packages)}
shopt -u extglob
rm -f usr/share/applications/mimeinfo.cache
+sed -i "s|$PKG||g" usr/share/bash-completion/completions/ebook-convert
+
cd usr/bin
for f in $(find . -maxdepth 1 -type l); do
ln -sf "/opt/calibre/${f:2}" .
@@ -70,6 +73,10 @@ done
rm calibre-uninstall
cd ../..
+find -L opt/calibre/plugins -type f -name "*.so" -exec chmod 755 {} \;
+find -L opt/calibre/lib/calibre-extensions \
+ -type f -name "*.so" -exec chmod 755 {} \;
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \